package xyz.mcutils.models.mojang;

import lombok.Getter;

@Getter
public class EndpointStatus {

    /**
     * The name of the service.
     */
    private String name;

    /**
     * The hostname of the service.
     */
    private String hostname;

    /**
     * The status of the service.
     */
    private Status status;

    /**
     * Statuses for the endpoint.
     */
    public enum Status {
        /**
         * The service is online and operational.
         */
        ONLINE,

        /**
         * The service is online, but may be experiencing issues.
         * This could be due to high load or other issues.
         */
        DEGRADED,

        /**
         * The service is offline and not operational.
         */
        OFFLINE
    }
}
